#include <stdio.h>
#include <stdlib.h>

int main (int argc, char *argv[])
{
  FILE *afh;
  char xc;
  unsigned long totR=0, totC=0;

  if (argc!=2)
  {
    fprintf (stderr,"errore: uso %s nome_file\n", argv[0]);
    exit (1);
  }

  afh = fopen (argv[1], "r");
  if (afh == NULL)
  {
    fprintf (stderr, "errore: impossibile aprire in lettura il file '%s'\n", argv[1]);
    exit(2);
  }

  while ((xc=fgetc(afh))!=EOF)
  {
    if (xc == '\n')
      totR++;
    else
      totC++;
  }

  if (fclose(afh) != 0)
  {
    fprintf (stderr, "avviso: non sono riuscito a chiudere il file '%s'\n", argv[1]);
  }

  printf ("%s: caratteri=%lu righe=%lu\n", argv[1], totC,totR);

  return 0;
}
